none
התקנת sql express 2014 על מחשב נייד שמותקן בו sql express 2008 RRS feed

  • שאלה

  • על הנייד שלי מותקן sql express 2008 + management studio 2016 ויש עליו מס' מסדי נתונים פעילים ויישום שמשתמש בחלק מהם.

    אני רוצה להתקין עכשיו sql express 2014 על הנייד לצורך ביצוע בדיקות וללמוד חלק מהפונקציות החדשות.

    מה הדרך המומלצת לבצע את ההתקנה הזו.

    יום רביעי 25 נובמבר 2015 08:29

תשובות

  • היי רונן.

    ראשית תודה.

    מאחר שיש בדיקות שאני צריך לבצע כבר עכשיו, ואני לא יכול לעשות ריסטור של גיבוי שנעשה בגירסת 2014 נראה לי שאהיה חייב להתקין את גירסת 2014 ולפי מה שכתבת פשוט להתקין אותו כאינסטנס נוסף.

    היצעת להתקין את גירסת הבטא המלאה של 2016 האם ניתן לעשות זאת כאשר מערכת ההפעלה שלי היא חלונות 7 פרימיום?

    בהנחה שאתקין בכל זאת את גירסת 2014 וארצה אחר כך להתקין את גירסת אקספרס של 2016, האם ניתן יהיה להסיר את אקספרס 2014 ואז להתקין במקומה את הגיסה החדשה של אקספרס 2016.

    אני לא רוצה להעמיס יותר מידיי על הנייד.

    >> ראשית תודה.

    :-)

    >> מאחר שיש בדיקות שאני צריך לבצע כבר עכשיו, ואני לא יכול לעשות ריסטור של גיבוי שנעשה בגירסת 2014 נראה לי שאהיה חייב להתקין את גירסת 2014 ולפי מה שכתבת פשוט להתקין אותו כאינסטנס נוסף.

    לא צריכה להיות בעיה לבצע שחזור של מסד נתונים שגובה בגרסת 2014 על גרסת 2016. צריכה להיות תאימות מלאה (אם תקבל בעיה אז נוכל לדווח על באג). כך שהתקנת גרסת 2016 עדיין אמורה לעזור לך.

    * שים לב שאין תאימות קדימה אל של גרסאות יותר מתקדמות, ז"א אם אתה עובר לגרסת 016 אז לא תוכל לשחזר את מסד הנתונים אחר לגרסת 2014. כמו כן אם מסד הנתונים מגרסה מתקדמת יותר כמו למשל Enterprise אז לא תמיד אפשר לשחזר אותו בגרסת ה EXPRESS (תלוי הרבה באיזה מאפיינים נעשה בהם שימוש).

    >> היצעת להתקין את גירסת הבטא המלאה של 2016 האם ניתן לעשות זאת כאשר מערכת ההפעלה שלי היא חלונות 7 פרימיום?

    שאלה מעולה!

    נניח שאין לי תשובה כרגע מוכנה מראש... בוא נבדוק ביחד:

    Google -> sql server 2016 requirements

    נעבור אל הקישור הראשון בתוצאות ונבדוק...
    https://msdn.microsoft.com/en-us/library/ms143506.aspx?f=255&MSPPError=-2147217396

    * אני מאוד ממליץ לך לעבור לשימוש במערכת הפעלה יותר חדשה או לפחות לגרסת שרת אם אתה רוצה להתקדם בלימוד. זה נכון לגבי כל לימוד בתחום המחשבים. אתה יכול להתקין מערכת הפעלה בגרסת נסיון גם כן אם אתה רוצה בדיוק לצרכים אלו של בדיקת המערכת.

    >> בהנחה שאתקין בכל זאת את גירסת 2014 וארצה אחר כך להתקין את גירסת אקספרס של 2016, האם ניתן יהיה להסיר את אקספרס 2014 ואז להתקין במקומה את הגיסה החדשה של אקספרס 2016.

    התשובה היא כן בעקרון.

    כל INSTANCE מותקן באופן כמעט עצמאי. יש כמה רכיבים משותפים אבל השירות המרכזי הוא בילתי תלוי ולכן אין קשר ישיר בין הגרסאות השונות. בכל מקרה אל תשכח לבדוק את דרישות כל אפליקציה שאתה רוצה להתקין ואם התעלת וןעדיין לא בדקת את הדרישות של 2016 אז התשובה היא שאין לך את השאלה הזו מכיוון שאין גרסה של 2016 שתואמת למערכת וינדוס 7.... אפילו גרסת האקספרס דורשת מערכת הפעלה מתקדמת יותר :-) 


    signature   Ronen Ariely
     [Personal Site]    [Blog]    [Facebook]    [Linkedin]

    • סומן כתשובה על-ידי Shaul Bel יום רביעי 25 נובמבר 2015 16:56
    יום רביעי 25 נובמבר 2015 16:27
    מנחה דיון

כל התגובות

  • תיאורטית אין שום בעיה להתקין מספר INSTANCE-ים של השרת. אתה יכול להתקין את אותה גרסה כמה פעמים או כל גרסה שאתה רוצה ביחד, והם יחיו בשולם כל עוד המכונה מספיק חזקה להפעיל אותם.

    * לגבי SSMS העניין מעט שונה, אפשר להתקין כמה גרסאות שונות אבל לא כמה פעמים את אותה גרסה (למשל SSMS EXPRESS ביחד עם SSMS FULL עלולים לעשות בלאגן שלם). כמו כן בניגוד להתקנה של השרת עצמו מומלץ מאוד להתקין SSMS לפי הסדר של הגרסאות תמיד. ז"א קודם את הגרסה הנמוכה יותר ואז את הגרסה המאוחרת יותר.

    * עוד נקודה חשובה: לא חייבים להתקין כמה פעמים SSMS אם מתקינים כמה גרסאות של השרת. אפשר לעשות שימוש ב SSMS של גרסה אחת כדי להתחבר שלרת של גרסה אחרת. SSMS היא תוכנה חיצונית שמתחברת לשרת בדיוק כמו כל תוכנה חיצונית שאנחנו מפתחים (באמצעות שרשרת התחברות ופרוביידר מתאים). עכבודה עם גרסת SSMS שונה מזו של השרת לא תמיד טובה כי עלולים להפסיד כמה מהאפםשרויות המתקדמות יותר שכן שונות בין הגרסאות השונות. אבל במקרה של עבודה עם הגרסה החינמית EXRES המאפיינים האלו בכל מקרה לא נמצאים ולכן לפעמים עדיף פשוט להקין רק את הגרסה היותר מאוחרת של ה SSMS במקום כמה גרסאות.

    ** אני לא מוצא שום הגיון בהתקנה של sql 2014 על מנת ללמוד! בעוד כמה חודשים יוצאת כבר גרסת 2016 ואתה צריך ללמוד ולתרגל עבודה איתה. אני ממליץ לצרכי לימוד ותרגול להתקין כבר את גרסת ה SQL Server 2016 (גרסה מלאה אבל גרסת בטא CTP3).


    signature   Ronen Ariely
     [Personal Site]    [Blog]    [Facebook]    [Linkedin]

    יום רביעי 25 נובמבר 2015 09:50
    מנחה דיון
  • היי רונן.

    ראשית תודה.

    מאחר שיש בדיקות שאני צריך לבצע כבר עכשיו, ואני לא יכול לעשות ריסטור של גיבוי שנעשה בגירסת 2014 נראה לי שאהיה חייב להתקין את גירסת 2014 ולפי מה שכתבת פשוט להתקין אותו כאינסטנס נוסף.

    היצעת להתקין את גירסת הבטא המלאה של 2016 האם ניתן לעשות זאת כאשר מערכת ההפעלה שלי היא חלונות 7 פרימיום?

    בהנחה שאתקין בכל זאת את גירסת 2014 וארצה אחר כך להתקין את גירסת אקספרס של 2016, האם ניתן יהיה להסיר את אקספרס 2014 ואז להתקין במקומה את הגיסה החדשה של אקספרס 2016.

    אני לא רוצה להעמיס יותר מידיי על הנייד.

    יום רביעי 25 נובמבר 2015 11:09
  • היי רונן.

    ראשית תודה.

    מאחר שיש בדיקות שאני צריך לבצע כבר עכשיו, ואני לא יכול לעשות ריסטור של גיבוי שנעשה בגירסת 2014 נראה לי שאהיה חייב להתקין את גירסת 2014 ולפי מה שכתבת פשוט להתקין אותו כאינסטנס נוסף.

    היצעת להתקין את גירסת הבטא המלאה של 2016 האם ניתן לעשות זאת כאשר מערכת ההפעלה שלי היא חלונות 7 פרימיום?

    בהנחה שאתקין בכל זאת את גירסת 2014 וארצה אחר כך להתקין את גירסת אקספרס של 2016, האם ניתן יהיה להסיר את אקספרס 2014 ואז להתקין במקומה את הגיסה החדשה של אקספרס 2016.

    אני לא רוצה להעמיס יותר מידיי על הנייד.

    >> ראשית תודה.

    :-)

    >> מאחר שיש בדיקות שאני צריך לבצע כבר עכשיו, ואני לא יכול לעשות ריסטור של גיבוי שנעשה בגירסת 2014 נראה לי שאהיה חייב להתקין את גירסת 2014 ולפי מה שכתבת פשוט להתקין אותו כאינסטנס נוסף.

    לא צריכה להיות בעיה לבצע שחזור של מסד נתונים שגובה בגרסת 2014 על גרסת 2016. צריכה להיות תאימות מלאה (אם תקבל בעיה אז נוכל לדווח על באג). כך שהתקנת גרסת 2016 עדיין אמורה לעזור לך.

    * שים לב שאין תאימות קדימה אל של גרסאות יותר מתקדמות, ז"א אם אתה עובר לגרסת 016 אז לא תוכל לשחזר את מסד הנתונים אחר לגרסת 2014. כמו כן אם מסד הנתונים מגרסה מתקדמת יותר כמו למשל Enterprise אז לא תמיד אפשר לשחזר אותו בגרסת ה EXPRESS (תלוי הרבה באיזה מאפיינים נעשה בהם שימוש).

    >> היצעת להתקין את גירסת הבטא המלאה של 2016 האם ניתן לעשות זאת כאשר מערכת ההפעלה שלי היא חלונות 7 פרימיום?

    שאלה מעולה!

    נניח שאין לי תשובה כרגע מוכנה מראש... בוא נבדוק ביחד:

    Google -> sql server 2016 requirements

    נעבור אל הקישור הראשון בתוצאות ונבדוק...
    https://msdn.microsoft.com/en-us/library/ms143506.aspx?f=255&MSPPError=-2147217396

    * אני מאוד ממליץ לך לעבור לשימוש במערכת הפעלה יותר חדשה או לפחות לגרסת שרת אם אתה רוצה להתקדם בלימוד. זה נכון לגבי כל לימוד בתחום המחשבים. אתה יכול להתקין מערכת הפעלה בגרסת נסיון גם כן אם אתה רוצה בדיוק לצרכים אלו של בדיקת המערכת.

    >> בהנחה שאתקין בכל זאת את גירסת 2014 וארצה אחר כך להתקין את גירסת אקספרס של 2016, האם ניתן יהיה להסיר את אקספרס 2014 ואז להתקין במקומה את הגיסה החדשה של אקספרס 2016.

    התשובה היא כן בעקרון.

    כל INSTANCE מותקן באופן כמעט עצמאי. יש כמה רכיבים משותפים אבל השירות המרכזי הוא בילתי תלוי ולכן אין קשר ישיר בין הגרסאות השונות. בכל מקרה אל תשכח לבדוק את דרישות כל אפליקציה שאתה רוצה להתקין ואם התעלת וןעדיין לא בדקת את הדרישות של 2016 אז התשובה היא שאין לך את השאלה הזו מכיוון שאין גרסה של 2016 שתואמת למערכת וינדוס 7.... אפילו גרסת האקספרס דורשת מערכת הפעלה מתקדמת יותר :-) 


    signature   Ronen Ariely
     [Personal Site]    [Blog]    [Facebook]    [Linkedin]

    • סומן כתשובה על-ידי Shaul Bel יום רביעי 25 נובמבר 2015 16:56
    יום רביעי 25 נובמבר 2015 16:27
    מנחה דיון
  • אם כל אינסטנס מותקן באופן כמעט עצמאי אז לא תהיה לי בעיה להתקין אינסטנס של 2014 מבלי שה יפגע מצד אחד ב 2008 וגם אם אסיר אותו לאחר מכן הוא לא יפגע בהכרח בהתקנה הנוכחית של 2008.

    לגבי שחזור קובץ גיבוי, מתוך נסיוני הדל שמתי לב שגם אם הגיבוי בוצע עם גירסה מתקדמת יותר אפילו של 2008 אי אפשר לשחזר עם גירסה ישנה יותר של 2008.

    יום רביעי 25 נובמבר 2015 16:56
  • >>אם כל אינסטנס מותקן באופן כמעט עצמאי אז לא תהיה לי בעיה להתקין אינסטנס של 2014 מבלי שה יפגע מצד אחד ב 2008 וגם אם אסיר אותו לאחר מכן הוא לא יפגע בהכרח בהתקנה הנוכחית של 2008.

    תיאורטית נכון, הבנת במדוייק את מה שהסברתי :-)
    אני מנסה להיות כמובן זהיר מכיוון שאני לא יכול/רוצה לנטול שום אחריות ותמיד יש מקרים יוצאים מהכלל במחשבים, אבל אתה צודק לחלוטין מבחינת התיאוריה

    >>לגבי שחזור קובץ גיבוי, מתוך נסיוני הדל שמתי לב שגם אם הגיבוי בוצע עם גירסה מתקדמת יותר אפילו של 2008 אי אפשר לשחזר עם גירסה ישנה יותר של 2008.

    רק אם לא נעשה שימוש במאפיינים שיש רק בגרסה המתקדמת יותר!

    אם למשל אתה מנסה לשחזר קובץ של גרסה מתקדמת שנעשה שימוש במחיצות אז לא תוכל לשחזר אותו בגרסה שאינה תומכת במחיצות :-)

    ** בהצלחה **


    signature   Ronen Ariely
     [Personal Site]    [Blog]    [Facebook]    [Linkedin]



    יום רביעי 25 נובמבר 2015 18:26
    מנחה דיון